#ifndef MODEL_H
#define MODEL_H
#include <QObject>

class Model : public QObject {
 Q_OBJECT
private:
 double value, //Пересчитываемая величина
        rate; //Коэффициент пересчёта
public:
 explicit Model (QObject *parent = 0, double value = 0, double rate = 0);
 double getInputValue(void);
 double getExchangeRate(void);
signals: //Один сигнал - "результат изменился"
 void resultChanged (double);
public slots:
 void setInputValue(double); //Установить величину для пересчёта
 void setInputValue(QString);
 void setExchangeRate(double); //Поменять коэффициент пересчёта
 void setExchangeRate(QString);
};
#endif // MODEL_H
