#ifndef SIMPLEVIEW_H
#define SIMPLEVIEW_H

#include <QWidget>
#include <QtWidgets>
#include "model.h"

class SimpleView : public QWidget {
 Q_OBJECT
public:
 explicit SimpleView(QWidget *parent = 0);
 void setModel(Model *);
private:
 QLineEdit *converted, *rate, *convertedValue;
 Model * model;
public slots:
 void convertedValueSlot(double);
};

#endif // SIMPLEVIEW_H
