#include <QApplication>
#include "model.h"
#include "view.h"
#include "simpleview.h"

int main(int argc, char *argv[]) {
 QApplication a(argc, argv);

 Model *m = new Model();

 View *v = new View();
 v->setModel(m);
 v->show();

 SimpleView *w = new SimpleView();
 w->setModel(m);
 w->show();

 return a.exec();
}
